/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoServicioDAO;
import com.rjconsultores.ventaboletos.entidad.TipoServicio;
import com.rjconsultores.ventaboletos.service.TipoServicioService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("tipoServicioService")
public class TipoServicioServiceImpl implements TipoServicioService {

    @Autowired
    private TipoServicioDAO tipoServicioDAO;

    public List<TipoServicio> obtenerTodos() {
        return tipoServicioDAO.obtenerTodos();
    }

    public TipoServicio obtenerID(Integer id) {
        return tipoServicioDAO.obtenerID(id);
    }

    @Transactional
    public TipoServicio suscribir(TipoServicio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoServicioDAO.suscribir(entidad);
    }

    @Transactional
    public TipoServicio actualizacion(TipoServicio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoServicioDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TipoServicio entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tipoServicioDAO.actualizacion(entidad);
    }

    public List<TipoServicio> buscar(String descservicio) {
        return tipoServicioDAO.buscar(descservicio);
    }
}
